{
  "openapi": "3.1.0",
  "info": {
    "title": "Amba API",
    "version": "1.0.0",
    "description": "## Overview\n\nThe public HTTP API for Amba. Two authenticated surfaces:\n\n- **`/v1/client/*`** — SDK-facing. Calls require a project `X-Api-Key`; user-scoped calls additionally require an `Authorization: Bearer <session>` minted by `/v1/client/auth/*`.\n- **`/v1/admin/*`** — developer-management surface. Calls require `Authorization: Bearer <developer-session-or-pat>`.\n\nError responses share a single envelope: `{ \"error\": { \"code\": \"UPPER_CASE_CODE\", \"message\": \"human readable\", \"details\"?: { ... } } }`.\n\nThe spec at `/v1/openapi.json` (and `/openapi.json`) is the source of truth — every documented route is generated directly from the live route registrations.",
    "contact": {
      "name": "Amba",
      "url": "https://amba.dev"
    }
  },
  "servers": [
    {
      "url": "https://api.amba.dev",
      "description": "Production"
    },
    {
      "url": "https://staging.api.amba.dev",
      "description": "Staging"
    }
  ],
  "security": [],
  "tags": [
    {
      "name": "Auth · Developer"
    },
    {
      "name": "Client · Achievements"
    },
    {
      "name": "Client · AI"
    },
    {
      "name": "Client · App MCP"
    },
    {
      "name": "Client · Auth"
    },
    {
      "name": "Client · Catalog"
    },
    {
      "name": "Client · Challenges"
    },
    {
      "name": "Client · Collections"
    },
    {
      "name": "Client · Config"
    },
    {
      "name": "Client · Content"
    },
    {
      "name": "Client · Currencies"
    },
    {
      "name": "Client · Deep Links"
    },
    {
      "name": "Client · Dev"
    },
    {
      "name": "Client · Diagnostics"
    },
    {
      "name": "Client · Email"
    },
    {
      "name": "Client · Entitlements"
    },
    {
      "name": "Client · Events"
    },
    {
      "name": "Client · Experiments"
    },
    {
      "name": "Client · Feeds"
    },
    {
      "name": "Client · Flags"
    },
    {
      "name": "Client · Friends"
    },
    {
      "name": "Client · Groups"
    },
    {
      "name": "Client · Inventory"
    },
    {
      "name": "Client · Leaderboards"
    },
    {
      "name": "Client · Leagues"
    },
    {
      "name": "Client · Media"
    },
    {
      "name": "Client · Messaging"
    },
    {
      "name": "Client · Moderation"
    },
    {
      "name": "Client · Offerings"
    },
    {
      "name": "Client · Onboarding"
    },
    {
      "name": "Client · Payments"
    },
    {
      "name": "Client · Push"
    },
    {
      "name": "Client · Realtime"
    },
    {
      "name": "Client · Referrals"
    },
    {
      "name": "Client · Reviews"
    },
    {
      "name": "Client · Roles"
    },
    {
      "name": "Client · Sessions"
    },
    {
      "name": "Client · Stores"
    },
    {
      "name": "Client · Streaks"
    },
    {
      "name": "Client · Sync"
    },
    {
      "name": "Client · Users"
    },
    {
      "name": "Client · XP"
    },
    {
      "name": "Admin · Achievements"
    },
    {
      "name": "Admin · AI"
    },
    {
      "name": "Admin · Analytics"
    },
    {
      "name": "Admin · App MCP"
    },
    {
      "name": "Admin · Audit Events"
    },
    {
      "name": "Admin · Billing"
    },
    {
      "name": "Admin · Builds"
    },
    {
      "name": "Admin · Catalog"
    },
    {
      "name": "Admin · Challenges"
    },
    {
      "name": "Admin · Collections"
    },
    {
      "name": "Admin · Config"
    },
    {
      "name": "Admin · Content"
    },
    {
      "name": "Admin · Control-plane Webhooks"
    },
    {
      "name": "Admin · Currencies"
    },
    {
      "name": "Admin · Deep Links"
    },
    {
      "name": "Admin · Domains"
    },
    {
      "name": "Admin · Email"
    },
    {
      "name": "Admin · Events"
    },
    {
      "name": "Admin · Experiments"
    },
    {
      "name": "Admin · Fan-out"
    },
    {
      "name": "Admin · Feeds"
    },
    {
      "name": "Admin · Friends"
    },
    {
      "name": "Admin · Function Credentials"
    },
    {
      "name": "Admin · Function Secrets"
    },
    {
      "name": "Admin · Functions"
    },
    {
      "name": "Admin · Funnels"
    },
    {
      "name": "Admin · Groups"
    },
    {
      "name": "Admin · Integrations"
    },
    {
      "name": "Admin · Inventory"
    },
    {
      "name": "Admin · Invites & Members"
    },
    {
      "name": "Admin · Leaderboards"
    },
    {
      "name": "Admin · Leagues"
    },
    {
      "name": "Admin · Media"
    },
    {
      "name": "Admin · Messaging"
    },
    {
      "name": "Admin · Moderation"
    },
    {
      "name": "Admin · Monetization"
    },
    {
      "name": "Admin · Onboarding"
    },
    {
      "name": "Admin · Operations"
    },
    {
      "name": "Admin · Outbound Webhooks"
    },
    {
      "name": "Admin · Payments"
    },
    {
      "name": "Admin · Projects"
    },
    {
      "name": "Admin · Promotion"
    },
    {
      "name": "Admin · Push"
    },
    {
      "name": "Admin · Queues"
    },
    {
      "name": "Admin · Referrals"
    },
    {
      "name": "Admin · Reviews"
    },
    {
      "name": "Admin · Roles"
    },
    {
      "name": "Admin · Segments"
    },
    {
      "name": "Admin · Sessions"
    },
    {
      "name": "Admin · Sites"
    },
    {
      "name": "Admin · Storage"
    },
    {
      "name": "Admin · Stores"
    },
    {
      "name": "Admin · Streaks"
    },
    {
      "name": "Admin · Subscriptions"
    },
    {
      "name": "Admin · Users"
    },
    {
      "name": "Admin · XP"
    }
  ],
  "paths": {
    "/v1/admin/invites/accept": {
      "post": {
        "operationId": "post_v1_admin_invites_accept",
        "summary": "POST /admin/invites/accept",
        "tags": [
          "Admin · Invites & Members"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/invites/decline": {
      "post": {
        "operationId": "post_v1_admin_invites_decline",
        "summary": "POST /admin/invites/decline",
        "tags": [
          "Admin · Invites & Members"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects": {
      "get": {
        "operationId": "get_v1_admin_projects",
        "summary": "List projects",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        },
        "description": "Lists every project owned by the authenticated developer."
      },
      "post": {
        "operationId": "post_v1_admin_projects",
        "summary": "Create a project",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [],
        "responses": {
          "201": {
            "description": "Project created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Project"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        },
        "description": "Provisions a new project. Returns immediately with a project id and an initial API key; backend provisioning (database, edge bindings, scheduler) runs asynchronously — poll `/v1/admin/projects/{projectId}/provisioning-status` until `status: ready`.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ProjectCreateRequest"
              }
            }
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId",
        "summary": "Delete a project",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        },
        "description": "Soft-deletes the project. The provisioned backend is torn down asynchronously."
      },
      "get": {
        "operationId": "get_v1_admin_projects_projectId",
        "summary": "Get a project",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "patch": {
        "operationId": "patch_v1_admin_projects_projectId",
        "summary": "Update a project",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/achievements": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_achievements",
        "summary": "GET /admin/projects/{projectId}/achievements",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_achievements",
        "summary": "POST /admin/projects/{projectId}/achievements",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/achievements/{achievementId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_achievements_achievementId",
        "summary": "DELETE /admin/projects/{projectId}/achievements/{achievementId}",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "achievementId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Achievement id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "get": {
        "operationId": "get_v1_admin_projects_projectId_achievements_achievementId",
        "summary": "GET /admin/projects/{projectId}/achievements/{achievementId}",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "achievementId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Achievement id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "patch": {
        "operationId": "patch_v1_admin_projects_projectId_achievements_achievementId",
        "summary": "PATCH /admin/projects/{projectId}/achievements/{achievementId}",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "achievementId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Achievement id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/achievements/{achievementId}/grant": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_achievements_achievementId_grant",
        "summary": "POST /admin/projects/{projectId}/achievements/{achievementId}/grant",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "achievementId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Achievement id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/achievements/{achievementId}/revoke": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_achievements_achievementId_revoke",
        "summary": "POST /admin/projects/{projectId}/achievements/{achievementId}/revoke",
        "tags": [
          "Admin · Achievements"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "achievementId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Achievement id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/embeddings": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_ai_embeddings",
        "summary": "POST /admin/projects/{projectId}/ai/embeddings",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/messages": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_ai_messages",
        "summary": "POST /admin/projects/{projectId}/ai/messages",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/prompts": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_ai_prompts",
        "summary": "GET /admin/projects/{projectId}/ai/prompts",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_ai_prompts",
        "summary": "POST /admin/projects/{projectId}/ai/prompts",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/prompts/{name}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_ai_prompts_name",
        "summary": "DELETE /admin/projects/{projectId}/ai/prompts/{name}",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "get": {
        "operationId": "get_v1_admin_projects_projectId_ai_prompts_name",
        "summary": "GET /admin/projects/{projectId}/ai/prompts/{name}",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/prompts/{name}/budget": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_ai_prompts_name_budget",
        "summary": "GET /admin/projects/{projectId}/ai/prompts/{name}/budget",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "put": {
        "operationId": "put_v1_admin_projects_projectId_ai_prompts_name_budget",
        "summary": "PUT /admin/projects/{projectId}/ai/prompts/{name}/budget",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/prompts/{name}/spend": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_ai_prompts_name_spend",
        "summary": "GET /admin/projects/{projectId}/ai/prompts/{name}/spend",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/providers": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_ai_providers",
        "summary": "GET /admin/projects/{projectId}/ai/providers",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_ai_providers",
        "summary": "POST /admin/projects/{projectId}/ai/providers",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/ai/providers/{name}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_ai_providers_name",
        "summary": "DELETE /admin/projects/{projectId}/ai/providers/{name}",
        "tags": [
          "Admin · AI"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Resource name (slug)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/analytics": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_analytics",
        "summary": "GET /admin/projects/{projectId}/analytics",
        "tags": [
          "Admin · Analytics"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/api-keys": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_api__keys",
        "summary": "Issue a new API key for a project",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/api-keys/{keyId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_api__keys_keyId",
        "summary": "Revoke an API key",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "keyId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "API key id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/api-keys/{keyId}/panic-kill": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_api__keys_keyId_panic__kill",
        "summary": "Panic-kill an API key",
        "tags": [
          "Admin · Projects"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "keyId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "API key id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        },
        "description": "Immediately revokes the key and propagates the revocation to the edge so requests presenting it fail at the edge without reaching the API."
      }
    },
    "/v1/admin/projects/{projectId}/app-mcp/config": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_app__mcp_config",
        "summary": "GET /admin/projects/{projectId}/app-mcp/config",
        "tags": [
          "Admin · App MCP"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "patch": {
        "operationId": "patch_v1_admin_projects_projectId_app__mcp_config",
        "summary": "PATCH /admin/projects/{projectId}/app-mcp/config",
        "tags": [
          "Admin · App MCP"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/app-mcp/exposure": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_app__mcp_exposure",
        "summary": "GET /admin/projects/{projectId}/app-mcp/exposure",
        "tags": [
          "Admin · App MCP"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "put": {
        "operationId": "put_v1_admin_projects_projectId_app__mcp_exposure",
        "summary": "PUT /admin/projects/{projectId}/app-mcp/exposure",
        "tags": [
          "Admin · App MCP"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/app-mcp/manifest": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_app__mcp_manifest",
        "summary": "GET /admin/projects/{projectId}/app-mcp/manifest",
        "tags": [
          "Admin · App MCP"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/audit-events": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_audit__events",
        "summary": "List audit events",
        "tags": [
          "Admin · Audit Events"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_audit__events",
        "summary": "Append an audit event",
        "tags": [
          "Admin · Audit Events"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        },
        "description": "Append-only. Audit events are immutable once recorded — there is no PATCH or DELETE on this resource by design."
      }
    },
    "/v1/admin/projects/{projectId}/billing/ceiling": {
      "put": {
        "operationId": "put_v1_admin_projects_projectId_billing_ceiling",
        "summary": "PUT /admin/projects/{projectId}/billing/ceiling",
        "tags": [
          "Admin · Billing"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/billing/checkout": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_billing_checkout",
        "summary": "POST /admin/projects/{projectId}/billing/checkout",
        "tags": [
          "Admin · Billing"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/billing/portal": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_billing_portal",
        "summary": "POST /admin/projects/{projectId}/billing/portal",
        "tags": [
          "Admin · Billing"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/billing/status": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_billing_status",
        "summary": "GET /admin/projects/{projectId}/billing/status",
        "tags": [
          "Admin · Billing"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_builds",
        "summary": "GET /admin/projects/{projectId}/builds",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_builds",
        "summary": "POST /admin/projects/{projectId}/builds",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds/{buildId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_builds_buildId",
        "summary": "DELETE /admin/projects/{projectId}/builds/{buildId}",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "get": {
        "operationId": "get_v1_admin_projects_projectId_builds_buildId",
        "summary": "GET /admin/projects/{projectId}/builds/{buildId}",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds/{buildId}/accept": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_builds_buildId_accept",
        "summary": "POST /admin/projects/{projectId}/builds/{buildId}/accept",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds/{buildId}/iterate": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_builds_buildId_iterate",
        "summary": "POST /admin/projects/{projectId}/builds/{buildId}/iterate",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds/{buildId}/iterations": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_builds_buildId_iterations",
        "summary": "GET /admin/projects/{projectId}/builds/{buildId}/iterations",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/builds/{buildId}/resume": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_builds_buildId_resume",
        "summary": "POST /admin/projects/{projectId}/builds/{buildId}/resume",
        "tags": [
          "Admin · Builds"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "buildId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Build id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_catalog",
        "summary": "GET /admin/projects/{projectId}/catalog",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_catalog",
        "summary": "POST /admin/projects/{projectId}/catalog",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog/{itemId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_catalog_itemId",
        "summary": "DELETE /admin/projects/{projectId}/catalog/{itemId}",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "get": {
        "operationId": "get_v1_admin_projects_projectId_catalog_itemId",
        "summary": "GET /admin/projects/{projectId}/catalog/{itemId}",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "patch": {
        "operationId": "patch_v1_admin_projects_projectId_catalog_itemId",
        "summary": "PATCH /admin/projects/{projectId}/catalog/{itemId}",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog/{itemId}/bundle": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_catalog_itemId_bundle",
        "summary": "POST /admin/projects/{projectId}/catalog/{itemId}/bundle",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog/{itemId}/bundle/{contentItemId}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_catalog_itemId_bundle_contentItemId",
        "summary": "DELETE /admin/projects/{projectId}/catalog/{itemId}/bundle/{contentItemId}",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          },
          {
            "name": "contentItemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Content item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog/{itemId}/prices": {
      "post": {
        "operationId": "post_v1_admin_projects_projectId_catalog_itemId_prices",
        "summary": "POST /admin/projects/{projectId}/catalog/{itemId}/prices",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/catalog/{itemId}/prices/{currencyCode}": {
      "delete": {
        "operationId": "delete_v1_admin_projects_projectId_catalog_itemId_prices_currencyCode",
        "summary": "DELETE /admin/projects/{projectId}/catalog/{itemId}/prices/{currencyCode}",
        "tags": [
          "Admin · Catalog"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          },
          {
            "name": "itemId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Catalog or inventory item id."
          },
          {
            "name": "currencyCode",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Currency code (e.g. `coins`)."
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
    },
    "/v1/admin/projects/{projectId}/challenges": {
      "get": {
        "operationId": "get_v1_admin_projects_projectId_challenges",
        "summary": "GET /admin/projects/{projectId}/challenges",
        "tags": [
          "Admin · Challenges"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      },
      "post": {
        "operationId": "post_v1_admin_projects_projectId_challenges",
        "summary": "POST /admin/projects/{projectId}/challenges",
        "tags": [
          "Admin · Challenges"
        ],
        "security": [
          {
            "developerBearer": []
          }
        ],
        "parameters": [
          {
            "name": "projectId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Project UUID.",
            "example": "3c0c3e3a-1111-4ab0-9bb1-000000000000"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Endpoint-specific payload. See `data` field for the result."
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/InternalError"
          }
        }
      }
[...]
